\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../../yomcat, ../../diagrams}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 431 \hfill
Assignment 1 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item Let $m = p_1^{e_1} \cdots p_k^{e_k}$ and let $n = p_1^{c_1} \cdots p_k^{c_k}$ for some primes $p_i$ and some $e_i, c_i \in \mbb{N}$. Let $d_i = \textrm{max}(c_i,e_i)$. Let $q = \textrm{LCM}(m,n) = p_1^{d_1} \cdots p_k^{d_k}$. \\
	Assume $q$ is a prime power. Then, WOLOG, $q = p_1^dp_2^0 \cdots p_k^0$, for some $d \in \mbb{Z}^+$. Therefore, by definition of LCM, $\forall i > 1\ \textrm{max}(c_i,e_i) = 0 \implies c_i = 0 = e_i$. Furthermore, $\textrm{max}(c_1,e_1) = d$, so WOLOG, assume $e_1 = d$. This means that $c_1 \leq d$. So $m = p_1^d = q$ and therefore $q$ is join irreducible. \\
	Now assume $q$ is not a prime power. Then $q = p_1^{d_1}p_2^{d_2} \cdots p_k^{d_k}$, where at least two of the $d_i$s are not 0. WOLOG, one of these is $d_1$. Now let $m = p_1^{d_1}p_2^0 \cdots p_k^0$ and let $n = p_1^0p_2^{d_2} \cdots p_k^{d_k}$. Then $q$ is the LCM of $m$ and $n$, but $m \neq q \neq m$, and so $q$ is not join irreducible. \\
	Therefore the join irreducibles in \tuple{\mbb{N}, |} are exactly the prime powers. \pend
	\item Let \scr{L} be a finite distributive lattice. Then any $x \in L$ is the join irredundant of maximal elements of $J(L) \cap [0,x]$. \\
	Let $k$ be a maximal element of a maximal chain in \scr{L}, and let $|J(L)| = i$. Then, by the lemma above, $k = j_1 \lor \cdots \lor j_i$, and so every maximal chain in \scr{L} has length $i = |J(L)|$. \pend
	\item \begin{enumerate}[(a)]
		\item If $b$ and $b'$ are two complements for $a$, then \begin{align*}
		b &= b \land 1 \\
		&= b \land (a \lor b') \\
		&= (b \land a) \lor (b \land b') \\
		&= 0 \lor (b \land b') \\
		&= b \land b'
		\end{align*}
		Therefore, $b \leq b'$. Swapping $b$ and $b'$ and applying exactly the same reasoning gets $b' \leq b$. \\
		Therefore, $b = b'$ and complements are unique. \pend
		\item Let $a$ and $b$ be elements of \scr{L} with complements $a'$ and $b'$ respectively. Then: \\
		 	\begin{align*}
			(a \lor b) \lor (a' \land b') &= ((a \lor b) \lor a') \land ((a \lor b) \lor b') \\
			&= ((b \lor a) \lor a') \land (a \lor (b \lor b')) \\
			&= (b \lor (a \lor a')) \land (a \lor (b \lor b')) \\
			&= (b \lor 1) \land (a \lor 1) \\
			&= 1 \land 1 \\
			&= 1
			\end{align*}
			\begin{align*}
			(a \lor b) \land (a' \land b') &= (a \land (a' \land b')) \lor (b \land (a' \land b')) \\
			&= ((a \land a') \land b') \lor (b \land (b' \land a')) \\
			&= ((a \land a') \land b') \lor ((b \land b') \land a') \\
			&= (0 \land b') \lor (0 \land a') \\
			&= 0 \lor 0 \\
			&= 0
			\end{align*}
			\begin{align*}
			(a \land b) \lor (a' \lor b') &= (a \lor (a' \lor b')) \land (b \lor (a' \lor b')) \\
			&= ((a \lor a') \lor b') \land (b \lor (b' \lor a')) \\
			&= ((a \lor a') \lor b') \land ((b \lor b') \lor a') \\
			&= (1 \lor b') \land (1 \lor a') \\
			&= 1 \land 1 \\
			&= 1
			\end{align*}
			\begin{align*}
			(a \land b) \land (a' \lor b') &= ((a \land b) \land a') \lor ((a \land b) \land b') \\
			&= ((b \land a) \land a') \lor (a \land (b \land b')) \\
			&= (b \land (a \land a')) \lor (a \land (b \land b')) \\
			&= (b \land 0) \lor (a \land 0) \\
			&= 0 \lor 0 \\
			&= 0
			\end{align*}
			Therefore, Comp(\scr{L}) is closed under $\lor$ and $\land$ and is therefore a sublattice of \scr{L}. \pend
		\item Let $a$ be an arbitrary element of Comp(\scr{L}). As meet and join are commutative, $b$, the complement of $a$, is also in Comp(\scr{L}). As $a' \in$ Comp(\scr{L}) is complemented iff $\exists b' \in$ Comp(\scr{L}) such that $a' \land b' = 0$ and $a' \lor b' = 1$, and $a$ and $b$ are in Comp(\scr{L}), they are both complemented in Comp(\scr{L}) and therefore both in Comp(Comp(\scr{L})). As $a$ is an arbitary element of Comp(\scr{L}), this holds for every element of Comp(\scr{L}). \\
		Therefore, Comp(Comp(\scr{L})) = Comp(\scr{L}). \pend
	\end{enumerate}
	\item Label the vertices as follows:
	\begin{diagram}
		d & & & & e \\
		& \rdLine & & \ldLine & \\
		& & c & & \\
		& \ldLine & & \rdLine & \\
		a & & & & b
	\end{diagram}
	Calculating M\"obius function: \begin{align*}
	\mu(a,a) &= 1 \\
	\mu(b,b) &= 1 \\
	\mu(a,c) &= -\mu(a,a) \\
	&= -1 \\
	\mu(b,c) &= -\mu(b,b) \\
	&= -1 \\
	\mu(a,d) &= -\mu(a,a) - \mu(a,c) \\
	&= -1 -(-1) \\
	&= 0 \\
	\mu(b,d) &= -\mu(b,b) - \mu(b,c) \\
	&= -1 -(-1) \\
	&= 0 \\
	\mu(a,e) &= -\mu(a,a) - \mu(a,c) \\
	&= -1 -(-1) \\
	&= 0 \\
	\mu(b,e) &= -\mu(b,b) - \mu(b,c) \\
	&= -1 -(-1) \\
	&= 0
	\end{align*}
	This gives:
	\begin{diagram}
		0 & & & & 0 \\
		& \rdLine & & \ldLine & \\
		& & -1 & & \\
		& \ldLine & & \rdLine & \\
		1 & & & & 1
	\end{diagram} \\
	Also, the $\zeta$ matrix looks like this: \\
	\[
	\begin{tabular}{c|ccccc}
	 & $a$ & $b$ & $c$ & $d$ & $e$ \\ \hline
	 $a$ & 1 & 0 & 1 & 1 & 1 \\
	 $b$ & 0 & 1 & 1 & 1 & 1 \\
	 $c$ & 0 & 0 & 1 & 1 & 1 \\
	 $d$ & 0 & 0 & 0 & 1 & 0 \\
	 $e$ & 0 & 0 & 0 & 0 & 1
	\end{tabular}
	\]
	Therefore, the $\mu = \zeta^{-1}$ matrix looks like this: \\
	\[
	\begin{tabular}{c|ccccc}
	 & $a$ & $b$ & $c$ & $d$ & $e$ \\ \hline
	 $a$ & 1 & 0 & -1 & 0 & 0 \\
	 $b$ & 0 & 1 & -1 & 0 & 0 \\
	 $c$ & 0 & 0 & 1 & -1 & -1 \\
	 $d$ & 0 & 0 & 0 & 1 & 0 \\
	 $e$ & 0 & 0 & 0 & 0 & 1
	\end{tabular}
	\]
\end{enumerate}

\end{document}